OpenTTD Source: PathfinderSettings Struct Reference

OpenTTD Source 15.0-RC2

Data Fields
PathfinderSettings Struct Reference

Settings related to all pathfinders. More...

`#include <settings_type.h>`

## Data Fields
bool | roadveh_queue
| buggy road vehicle queueing
bool | forbid_90_deg
| forbid trains to make 90 deg turns
bool | reverse_at_signals
| whether to reverse at signals at all
uint8_t | wait_oneway_signal
| waitingtime in days before a oneway signal
uint8_t | wait_twoway_signal
| waitingtime in days before a twoway signal
bool | reserve_paths
| always reserve paths regardless of signal type.
uint8_t | wait_for_pbs_path
| how long to wait for a path reservation.
uint8_t | path_backoff_interval
| ticks between checks for a free path.
YAPFSettings | yapf
| pathfinder settings for the yet another pathfinder

## Detailed Description

Settings related to all pathfinders.

Definition at line 491 of file settings_type.h.

## Field Documentation

## ◆ forbid_90_deg

bool PathfinderSettings::forbid_90_deg

forbid trains to make 90 deg turns

Definition at line 493 of file settings_type.h.

Referenced by AfterLoadGame(), CmdBuildSingleSignal(), ExtendTrainReservation(), FollowTrainReservation(), CYapfCostRailT< Types >::PfCalcCost(), YapfTrainCheckReverse(), YapfTrainChooseTrack(), YapfTrainFindNearestDepot(), and YapfTrainFindNearestSafeTile().

## ◆ path_backoff_interval

uint8_t PathfinderSettings::path_backoff_interval

ticks between checks for a free path.

Definition at line 501 of file settings_type.h.

Referenced by CheckNextTrainTile(), and TrainController().

## ◆ reserve_paths

bool PathfinderSettings::reserve_paths

always reserve paths regardless of signal type.

Definition at line 499 of file settings_type.h.

Referenced by CheckTrainStayInDepot(), and ReverseTrainDirection().

## ◆ reverse_at_signals

bool PathfinderSettings::reverse_at_signals

whether to reverse at signals at all

Definition at line 495 of file settings_type.h.

Referenced by AfterLoadGame(), and TrainController().

## ◆ roadveh_queue

bool PathfinderSettings::roadveh_queue

buggy road vehicle queueing

Definition at line 492 of file settings_type.h.

Referenced by RoadFindPathToDest().

## ◆ wait_for_pbs_path

uint8_t PathfinderSettings::wait_for_pbs_path

how long to wait for a path reservation.

Definition at line 500 of file settings_type.h.

Referenced by AfterLoadGame().

## ◆ wait_oneway_signal

uint8_t PathfinderSettings::wait_oneway_signal

waitingtime in days before a oneway signal

Definition at line 496 of file settings_type.h.

Referenced by AfterLoadGame(), and TrainController().

## ◆ wait_twoway_signal

uint8_t PathfinderSettings::wait_twoway_signal

waitingtime in days before a twoway signal

Definition at line 497 of file settings_type.h.

Referenced by AfterLoadGame(), and TrainController().

## ◆ yapf

YAPFSettings PathfinderSettings::yapf

pathfinder settings for the yet another pathfinder

Definition at line 503 of file settings_type.h.

Referenced by CheckIfTrainNeedsService().

The documentation for this struct was generated from the following file:

- src/settings_type.h